Skip to main content
`Ctrl`+`K`

# VECSEQVIENNACL

VECSEQVIENNACL = “seqviennacl” - The basic sequential vector, modified to use ViennaCL

## Options Database Keys

- -vec_type seqviennacl - sets the vector type to VECSEQVIENNACL during a call to VecSetFromOptions()

## See Also

`VecCreate()`, `VecSetType()`, `VecSetFromOptions()`, `VecCreateSeqWithArray()`, `VECMPI`, `VecType`, `VecCreateMPI()`, `VecCreateSeq()`

## Level

beginner

## Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages